#2146 closed defect (fixed)

The mount() signature presented doesn't match what's in the fstests nor what's in libio.h

Reported by: Ric Claus Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: doc Version: 4.11
Severity: normal Keywords:
Cc: chrisj@…, sebastian.huber@…, gedare@… Blocked By:
Blocking:

Description

The mount() signature presented in the Posix manual doesn't agree with what's found in the fstests nor what is in libio.h, where it is given as:

int mount(

const char *source,
const char *target,
const char *filesystemtype,
rtems_filesystem_options_t options,
const void *data

);

Change History (6)

comment:1 Changed on Oct 10, 2013 at 6:57:43 PM by Ric Claus

bug_file_loc: http://http://rtems.org/onlinedocs/doc-current/share/rtems/html/posix_users/Input-and-Output-Primitives-Manager-mount-_002d-Mount-a-file-system.html#index-mounthttp://rtems.org/onlinedocs/doc-current/share/rtems/html/posix_users/Input-and-Output-Primitives-Manager-mount-_002d-Mount-a-file-system.html#index-mount

comment:2 Changed on Oct 10, 2013 at 11:49:44 PM by Chris Johns

Cc: Chris Johns added

comment:3 Changed on Oct 11, 2013 at 7:02:09 AM by Sebastian Huber

Cc: Sebastian Huber added

comment:4 Changed on Oct 22, 2013 at 7:18:24 PM by Gedare Bloom

Cc: Gedare Bloom added

comment:5 Changed on Nov 4, 2013 at 6:56:27 AM by Sebastian Huber

Resolution: fixed
Status: newclosed

Should be fixed now.

comment:6 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.